org.apache.hc.client5.http.cookie

## Class CookieOrigin

- java.lang.Object
- - org.apache.hc.client5.http.cookie.CookieOrigin

    @Immutable
    public final class CookieOrigin
    extends Object

CookieOrigin class encapsulates details of an origin server that are relevant when parsing, validating or matching HTTP cookies.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`CookieOrigin(String host, int port, String path, boolean secure)`

### Method Summary

Methods
`String` `getHost()`
`String` `getPath()`
`int` `getPort()`
`boolean` `isSecure()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CookieOrigin

    public CookieOrigin(String host,
                int port,
                String path,
                boolean secure)

### Method Detail

#### getHost

    public String getHost()

#### getPath

    public String getPath()

#### getPort

    public int getPort()

#### isSecure

    public boolean isSecure()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`